KAWA(1)

NAME
kawa - Scheme language implemented using on a Java VM

SYNOPSIS
kawa [options]
java kawa.repl [options]

DESCRIPTION
This manual page documents briefly the kawa package, a Scheme dialect written completely in the Java language. Scheme forms are compiled into Java bytecodes for efficiency. Scheme is a high-level non-pure functional language in the Lisp family, with lexical scoping dynamically-types. The Kawa dialect of Scheme contains hooks to access and control Java objects. Using the kawa script is equivalent to invoking an interpreter of the Java language on the kawa.repl class. This manual page is just a quick synopsis. For more information, read the kawa manual - see below.

OPTIONS

-e expression
    Evaluate the expression.

-c expression
    Evaluate the expression, but does not cause the start-up file ~/.kawarc.scm to be read.

-f filename
    Read and evaluate Scheme commands from the filename.

-s  Enter an interactive read-evaluate-print command loop.

-w  Enter an interactive read-evaluate-print in a new top-level window.

-C filename
    Compile filename to one or more Java class files. See the Kawa manual for details.

If no options are specified, it is equivalent to -s.
GNU readline(3) can normally be used to edit commands.

FILES

/usr/bin/kawa
    The kawa executable, which starts a java interpreter.

~/.kawarc.scm
    Commands that are executed when kawa is started.

AUTHOR
Per Bothner <per@bothner.com>.

SEE ALSO
info kawa - the complete Kawa manual.

http://www.gnu.org/software/kawa/ (http://www.gnu.org/software/kawa/) - the kawa home page, based on the same Kawa manual.

qexo(1) - an implementation of XQuery using the same engine.